--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: query.freeze
comment: 
- !ruby/struct:SM::Flow::P 
  body: Pushes given query on top of scope stack and yields given block, then pops the stack. During block execution queries previously pushed onto the stack have no effect.
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::Scope#with_exclusive_scope
is_singleton: false
name: with_exclusive_scope
params: (query) {|query.freeze| ...}
visibility: protected
